Create an artifact upload
curl --request POST \
--url https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media_type": "<string>",
"size_bytes": 8388608,
"md5": "<string>"
}
'import requests
url = "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts"
payload = {
"media_type": "<string>",
"size_bytes": 8388608,
"md5": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({media_type: '<string>', size_bytes: 8388608, md5: '<string>'})
};
fetch('https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'media_type' => '<string>',
'size_bytes' => 8388608,
'md5' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts"
payload := strings.NewReader("{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"artifact_id": "<string>",
"upload_url": "<string>",
"headers": {}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}{
"error": {
"type": "conflict_error",
"code": "trajectory_already_terminal",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}Artifacts
Create an artifact upload
Reserve an artifact upload for a trajectory. Upload the file with PUT to the returned URL, then complete the upload.
POST
/
api
/
v1
/
trajectories
/
{trajectory_id}
/
artifacts
Create an artifact upload
curl --request POST \
--url https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media_type": "<string>",
"size_bytes": 8388608,
"md5": "<string>"
}
'import requests
url = "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts"
payload = {
"media_type": "<string>",
"size_bytes": 8388608,
"md5": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({media_type: '<string>', size_bytes: 8388608, md5: '<string>'})
};
fetch('https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'media_type' => '<string>',
'size_bytes' => 8388608,
'md5' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts"
payload := strings.NewReader("{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trajectory.ai/api/v1/trajectories/{trajectory_id}/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"media_type\": \"<string>\",\n \"size_bytes\": 8388608,\n \"md5\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"artifact_id": "<string>",
"upload_url": "<string>",
"headers": {}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}{
"error": {
"type": "conflict_error",
"code": "trajectory_already_terminal",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}Authorizations
TrajectoryAccessTokenApiKeyAuth
Short-lived token scoped to one rollout trajectory
Path Parameters
Body
application/json
MIME type of the file, such as image/png.
Maximum string length:
255Pattern:
^[a-z0-9!#$&^_.+-]+/[a-z0-9!#$&^_.+-]+$Exact file size in bytes, at most 16 MiB.
Required range:
0 <= x <= 16777216Base64-encoded MD5 of the file; GCS rejects bytes that do not match.
Pattern:
^[A-Za-z0-9+/]{22}==$